Kuest Docs

Get Public Profile

Returns a Gamma-compatible public profile by wallet address

Get Help
GET
/public-profile

Query Parameters

address*string

Wallet or proxy wallet address

Response Body

OK

application/json
  1. response
createdAt?string
Formatdate-time
proxyWallet?string
profileImage?string
displayUsernamePublic?boolean
bio?string
pseudonym?string
name?string
users?array<>
xUsername?string
verifiedBadge?boolean
[key: string]?any
curl -X GET 'https://gamma-api.kuest.com/public-profile?address=string'
{  "createdAt": "2019-08-24T14:15:22Z",  "proxyWallet": "string",  "profileImage": "string",  "displayUsernamePublic": true,  "bio": "string",  "pseudonym": "string",  "name": "string",  "users": [    {}  ],  "xUsername": "string",  "verifiedBadge": true}